Bug 468759 - misinherited uretprobes
misinherited uretprobes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Frank Ch. Eigler
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 16:31 EDT by Frank Ch. Eigler
Modified: 2009-01-20 16:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:07:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2008-10-27 16:31:53 EDT
Similar to bug #464010, a uprobes bug is interfering with return
probes on forky processes such as shells.  Only a partial fix is
available at the moment but IBM is working on it.

http://sourceware.org/bugzilla/show_bug.cgi?id=6850

Reproducer in
http://sourceware.org/bugzilla/show_bug.cgi?id=6850#c10
Comment 1 Frank Ch. Eigler 2008-10-28 16:20:19 EDT
This appears to be fixed by a combination of the patches
committed to mainline for PR6850 and PR5274, plus 
systemtap git commit dfa11dd for usability.
Comment 2 Frank Ch. Eigler 2008-11-04 17:25:18 EST
The available fix for this problem is essential for usability
of user-space probes.  Please *-ack asap.
Comment 4 David Smith 2008-11-05 10:38:51 EST
The following patches have been added to the spec file for this issue:

systemtap-0.7.2-PR6850-uretprobe-fork-fix.patch
systemtap-0.7.2-PR5274-uretprobe-vs-longjmp.patch
systemtap-0.7.2-PR5274-uretprobes-fixes.patch
Comment 9 errata-xmlrpc 2009-01-20 16:07:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0184.html

Note You need to log in before you can comment on or make changes to this bug.